Bug 492900 - Review Request: epigrafica-fonts - Extended and improved version of MgOpen Cosmetica font family
Review Request: epigrafica-fonts - Extended and improved version of MgOpen Co...
Status: CLOSED DUPLICATE of bug 484057
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Mailhot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 11:59 EDT by Tom "spot" Callaway
Modified: 2009-09-24 15:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-31 09:25:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2009-03-30 11:59:28 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/new/epigrafica-fonts.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/epigrafica-fonts-1.01-1.fc11.src.rpm
Description: 
The Epigrafica family of fonts is an extended and improved version of the 
MgOpen Cosmetica font family. It is based on the Optima designs by Hermann 
Zapf.
Comment 1 Nicolas Mailhot 2009-03-30 15:43:19 EDT
Initial review:

1. you have some stray %defines, we're supposed to use %globals nowadays

2. I'd use the same priority as cosmetica, unless you want this font to always come first

3. I'd use the substitution template
/usr/share/fontconfig/templates/substitution-font-template.conf
and add two substitution blocks, one to tell this font can be used in stead of Optima if Optima is not present, and the other to do the same for "MgOpen Cosmetica" (and you can probably open a bug on the mgopen package to make its packager return the courtesy and add a rule that says Cosmetica can be used in stead of Epigrafica)

4. %common_desc is not really useful for anything in a mono-font spec file, though I suppose it's harmless

5. your metadata declaration order is unusual, though it'll probably only annoy people diffing spec files

6. rpmlint warns of
epigrafica-fonts.src: W: invalid-license MgOpen
epigrafica-fonts.src: W: strange-permission convert-to-ttf.pe 0755

At least the second one can probably be dealt with easily
Comment 2 Sarantis Paskalis 2009-03-31 08:39:40 EDT
There is another submission of the same font package in bug #484057 (which seems stale for about a month and a half).  Don't know whether the original submitter abandoned it.
Comment 3 Tom "spot" Callaway 2009-03-31 09:25:19 EDT
Closing this out as a dupe.

*** This bug has been marked as a duplicate of bug 484057 ***

Note You need to log in before you can comment on or make changes to this bug.